io.vertx.kafka.client.serialization

## Class BufferDeserializer

- java.lang.Object
- - io.vertx.kafka.client.serialization.BufferDeserializer

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.kafka.common.serialization.Deserializer<Buffer>

      public class BufferDeserializer
      extends Object
      implements org.apache.kafka.common.serialization.Deserializer<Buffer>

  Kafka deserializer for raw bytes in a buffer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferDeserializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `configure(Map<String,?> configs, boolean isKey)`
    `Buffer` | `deserialize(String topic, byte[] data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.kafka.common.serialization.Deserializer

      `deserialize`

- - ### Constructor Detail

    - #### BufferDeserializer

          public BufferDeserializer()

  - ### Method Detail

    - #### configure

          public void configure(Map<String,?> configs,
                                boolean isKey)

      Specified by:
        `configure` in interface `org.apache.kafka.common.serialization.Deserializer<Buffer>`

    - #### deserialize

          public Buffer deserialize(String topic,
                                    byte[] data)

      Specified by:
        `deserialize` in interface `org.apache.kafka.common.serialization.Deserializer<Buffer>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `org.apache.kafka.common.serialization.Deserializer<Buffer>`

Copyright © 2024 Eclipse. All rights reserved.